Skip to main content
GET
/
organizations
/
{org_id}
/
analytics
Get organizations analytics history
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/organizations/{org_id}/analytics \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "in_progress",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "analyzed_on": "2025-09-23T16:07:35.675578",
      "balance_sheets": [],
      "income_statements": [],
      "cashflow_statements": []
    }
  ],
  "total_items": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

Query Parameters

statuses
enum<string>[] | null

Optional set of analytics statuses to filter the results

Minimum array length: 1
Available options:
in_progress,
processing,
success,
failed
order_by
enum<string>
default:analyzed_on

Field to sort the results by

Available options:
analyzed_on,
created_at,
updated_at,
status
order_dir
enum<string>
default:desc

Sort direction: ascending ('asc') or descending ('desc')

Available options:
asc,
desc
limit
integer
default:20

Maximum number of results to return in a single request

Required range: x <= 100
Examples:

10

50

offset
integer
default:0

Number of items to skip before starting to collect the results

Required range: x >= 0
Examples:

0

20

Response

Successful Response

items
OrganizationAnalyticsHistoryItem · object[]
required

List of analytics history items returned by the query

total_items
integer
default:0

Total number of analytics history items matching the query, ignoring pagination

Required range: x >= 0
Examples:

1

25

100